function RemoteBrokerFirstPage()
{
  var AutomaticBrokerName = function(){RemoteBrokerFirstPage.prototype._AutomaticBrokerName_();};
  //建立資料
  var BuildRemoteBrokerObject   = function(that){RemoteBrokerFirstPage.prototype._BuildRemoteBrokerObject_(that);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){RemoteBrokerFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){RemoteBrokerFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){RemoteBrokerFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){RemoteBrokerFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){RemoteBrokerFirstPage.prototype._RedisplayUi_();};
  //移除
  var RemoveConversionTransferModbusGlobalVariable = function(DeviceName){RemoteBrokerFirstPage.prototype._RemoveConversionTransferModbusGlobalVariable_(DeviceName);};
  var RemoveConversionTransferGlobalVariable = function(DeviceName){RemoteBrokerFirstPage.prototype._RemoveConversionTransferGlobalVariable_(DeviceName);};
  var RemoveMqttGroupConnectionGlobalVariable = function(DeviceName){RemoteBrokerFirstPage.prototype._RemoveMqttGroupConnectionGlobalVariable_(DeviceName);};
  var RemoveGlobalVariable = function(DeviceName, number){RemoteBrokerFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedBroker = function(){RemoteBrokerFirstPage.prototype._RemoveTickedBroker_();};
  this.DeleteBroker        = function(){RemoteBrokerFirstPage.prototype._DeleteBroker_();};
  //判斷
  var IsNameRepeat = function(Name){return RemoteBrokerFirstPage.prototype._IsNameRepeat_(Name);};
  this.IsTickedBroker = function(){return RemoteBrokerFirstPage.prototype._IsTickedBroker_();};
  //初始化
  this.Initialization = function(){RemoteBrokerFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckBrokerName = function(that){RemoteBrokerFirstPage.prototype._CheckBrokerName_(that);};
  //傳輸
  var TransmissionJson = function(ssocket, Command, string, Callback){RemoteBrokerFirstPage.prototype._TransmissionJson_(ssocket, Command, string, Callback);};
  var SaveFinished = function(that, ssocket){RemoteBrokerFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){RemoteBrokerFirstPage.prototype._SaveStart_(that, ssocket);};
  //按鈕
  this.AddNewRow   = function(that){RemoteBrokerFirstPage.prototype._AddNewRow_(that);};
  this.EditButton = function(that){RemoteBrokerFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){RemoteBrokerFirstPage.prototype._SaveButton_(that);};
  
  var ArrayComplement = function(FirstArray, SecondArray){RemoteBrokerFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
}










function RemoteBrokerSecondPage()
{
  //表單
  var SetFormInitialValue = function(number){RemoteBrokerSecondPage.prototype._SetFormInitialValue_(number);};
  var GetSettingFormValue = function(){return RemoteBrokerSecondPage.prototype._GetSettingFormValue_();};
  var ClearForm = function(){RemoteBrokerSecondPage.prototype._ClearForm_();};  
  var SetInitialValue = function(number){RemoteBrokerSecondPage.prototype._SetInitialValue_(number);};
  //檢查
  this.CheckBrokerName = function(that){return RemoteBrokerSecondPage.prototype._CheckBrokerName_(that);};
  this.CheckIP = function(that){return RemoteBrokerSecondPage.prototype._CheckIP_(that);};
  this.CheckPort = function(that){return RemoteBrokerSecondPage.prototype._CheckPort_(that);};
  this.CheckKeepAlive = function(that){return RemoteBrokerSecondPage.prototype._CheckKeepAlive_(that);};
  this.CheckAccount  = function(that){RemoteBrokerSecondPage.prototype._CheckAccount_(that);};
  this.CheckPassword = function(that){RemoteBrokerSecondPage.prototype._CheckPassword_(that);};
  this.CheckTrustedCertificate = function(){RemoteBrokerSecondPage.prototype._CheckTrustedCertificate_();};
  this.CheckCertificatePrivateKey = function(){RemoteBrokerSecondPage.prototype._CheckCertificatePrivateKey_();};
  this.ShowCertificateDropDownMenu = function(){RemoteBrokerSecondPage.prototype._ShowCertificateDropDownMenu_();};
  this.AddCertificateDropDownMenu = function(){RemoteBrokerSecondPage.prototype._AddCertificateDropDownMenu_();};
  this.AddCertificateDropDownMenu = function(){RemoteBrokerSecondPage.prototype._AddCertificateDropDownMenu_();};

  //判斷
  var IsNameRepeat = function(Name){return RemoteBrokerSecondPage.prototype._IsNameRepeat_(Name);};
  //按鈕
  this.ConfirmButton = function(that){RemoteBrokerSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){RemoteBrokerSecondPage.prototype._NoConfirmButton_();};
  //combobox切換
  this.ChangeAnonymousLogin = function(){RemoteBrokerSecondPage.prototype._ChangeAnonymousLogin_();};
  this.ChangeSslTls = function(){RemoteBrokerSecondPage.prototype._ChangeSslTls_();};
  //取代
  var ModifyConversionTransferGlobalVariable = function(OldDeviceName, NewDeviceName){RemoteBrokerSecondPage.prototype._ModifyConversionTransferGlobalVariable_(OldDeviceName, NewDeviceName);};
  var ModifyMqttGroupConnectionGlobalVariable = function(OldDeviceName, NewDeviceName){RemoteBrokerSecondPage.prototype._ModifyMqttGroupConnectionGlobalVariable_(OldDeviceName, NewDeviceName);};
  // 遠端Broker 一般設定及憑證設定
  this.RemoteBrokerGeneralSetting = function(){RemoteBrokerSecondPage.prototype._RemoteBrokerGeneralSetting_();};
  this.RemoteBrokerCertificateSetting = function(){RemoteBrokerSecondPage.prototype._RemoteBrokerCertificateSetting_();};
}